Citra android not installing

Issue:
I have a amazon fire tablet hd 10 with play store and citra is not available, and when installing the apk it doesn’t install it gives me an error

In order for us to provide better support, we need to see the log generated by Citra. This guide will walk you through how you can obtain the log file: How to Upload the Log File.

Download and install AIDA64 then screenshot the CPU tab.

The minimum requirements for Citra on Android are 64-bit Android 8 (Oreo) or later and OpenGL ES 3.2 support.